Skip to content

Get a pre-signed upload URL for a media attachment

Request

Returns a pre-signed URL a consuming application can use to upload a media attachment file, along with the URL where the uploaded file can subsequently be viewed.

Security
oauth2_as_a_user(Required scopes: content.read)
Path
filenamestringrequired

The name of the file to be uploaded.

curl -i -X GET \
  'https://partner.socialchorus.com/v2/ugc/uploads/{filename}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
upload_urlstring

The pre-signed URL to which the file should be uploaded.

view_urlstring

The URL where the uploaded file can be viewed once processed.

Response
{ "upload_url": "string", "view_url": "string" }